package qsqs.mocklibtest;

import org.junit.Test;

import biz.xsoftware.mock.CalledMethod;
import biz.xsoftware.mock.MockObject;
import biz.xsoftware.mock.MockObjectFactory;

import qsqs.ueberdeckungen.Kreis;
import qsqs.ueberdeckungen.PiAusrechnen;

import junit.framework.TestCase;

public class MyMocklibTest extends TestCase {

	private MockObject pi;
	private Kreis k;
	
	@Override
	protected void setUp() throws Exception {
		pi = MockObjectFactory.createMock(PiAusrechnen.class);
		k=new Kreis();
	}

	@Test
	public void testUmfang() throws Exception {
		pi.addReturnValue("calcPi",3.14);
		assertEquals(10*2*3.14,k.umfang(10, (PiAusrechnen)pi));
		Object[] params = pi.expect("calcPi").getAllParams();
		assertEquals(100, params[0]);
	}

	@Test
	public void testFlaeche() throws Exception {
		pi.addReturnValue("calcPi",3.14);
		assertEquals(10*10*3.14,k.flaeche(10, (PiAusrechnen)pi));
		Object[] params = pi.expect("calcPi").getAllParams();
		assertEquals(1000, params[0]);
	}
}
